Bug 253266 - net-mgmt/rubygem-oxidized-web needs puma 3.1+ but 5.0 is in ports
Summary: net-mgmt/rubygem-oxidized-web needs puma 3.1+ but 5.0 is in ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Juraj Lutter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-05 09:02 UTC by Einar Bjarni Halldórsson
Modified: 2021-03-13 19:46 UTC (History)
3 users (show)

See Also:
nick: maintainer-feedback+


Attachments
allow rubygem-oxidized-web to use puma5 (2.67 KB, patch)
2021-02-06 11:47 UTC, Nick Hilliard
nick: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Einar Bjarni Halldórsson 2021-02-05 09:02:22 UTC
www/rubygem-puma has been upgraded to version 5.1.1, but oxidized web has a gem dependency ["~> 3.11", ">= 3.11.4"].

Either we need to update the dependency of oxidized-web or create a new port for rubygem-puma3.

I've disabled the web interface in the config for the time being.
Comment 1 Nick Hilliard 2021-02-06 11:47:38 UTC
Created attachment 222207 [details]
allow rubygem-oxidized-web to use puma5

I've been running with puma5 for the last week and it seems to work fine.  The attached patch allows puma5 in the gemspec.
Comment 2 Einar Bjarni Halldórsson 2021-02-26 13:47:59 UTC
(In reply to Nick Hilliard from comment #1)

I applied the patch and I'm now up and running again
Comment 3 Juraj Lutter freebsd_committer 2021-03-13 13:45:09 UTC
review D29247
Comment 4 commit-hook freebsd_committer 2021-03-13 19:45:42 UTC
A commit references this bug:

Author: otis
Date: Sat Mar 13 19:45:35 UTC 2021
New revision: 568278
URL: https://svnweb.freebsd.org/changeset/ports/568278

Log:
  net-mgmt/rubygem-oxidized-web: Fix dependency on puma

  - Match gemspec dependency and RUN_DEPENDS for puma
  - portfmt-ize

  PR:		253266
  Submitted by:	Nick Hilliard <nick@foobar.org> (maintainer)
  Reported by:	Einar Bjarni Halld?rsson <einar@isnic.is>
  Reviewed by:	osa (mentor)
  Approved by:	osa (mentor)
  Differential Revision:	https://reviews.freebsd.org/D29247

Changes:
  head/net-mgmt/rubygem-oxidized-web/Makefile
  head/net-mgmt/rubygem-oxidized-web/files/patch-gemspec
Comment 5 Juraj Lutter freebsd_committer 2021-03-13 19:46:42 UTC
Committed, thanks.